Page MenuHomePhabricator

Gadgets not working
Closed, ResolvedPublic

Description

Gadgets not working on Wikidata repo as reported here:
https://www.wikidata.org/wiki/Wikidata:Project_chat#Broken_gadgets_.28bis.29

Specially this one
https://www.wikidata.org/wiki/MediaWiki:Gadget-AuthorityControl.js

But probably affects more of them.


Version: unspecified
Severity: major
Whiteboard: u=dev c=frontend p=8 s=2014-05-06

Details

Reference
bz64842

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:14 AM
bzimport set Reference to bz64842.
bzimport added a subscriber: Unknown Object (MLST).

Any output in the browser error console (in most browsers under "Development tools", in IE it's pressing F12) when this happens?

Ayack added a comment.May 5 2014, 8:44 AM

With Firefox 30.0 beta, I've got this output on https://www.wikidata.org/wiki/Q980041

"Use of "addOnloadHook" is deprecated. Use jQuery instead." load.php:148
console.trace(): load.php:148
mw</<.log</log.warn() load.php:148
mw</<.log</log.deprecate</<.get() load.php:149
<anonyme> index.php:481

"Use of "addOnloadHook" is deprecated. Use jQuery instead." load.php:148
console.trace(): load.php:148
mw</<.log</log.warn() load.php:148
mw</<.log</log.deprecate</<.get() load.php:149
<anonyme> index.php:124

"Use of "addOnloadHook" is deprecated. Use jQuery instead." load.php:148
console.trace(): load.php:148
mw</<.log</log.warn() load.php:148
mw</<.log</log.deprecate</<.get() load.php:149
<anonyme> index.php:334

"Use of "addOnloadHook" is deprecated. Use jQuery instead." load.php:148
console.trace(): load.php:148
mw</<.log</log.warn() load.php:148
mw</<.log</log.deprecate</<.get() load.php:149
<anonyme> index.php:1502

ReferenceError: twttr is not defined
Trace de la pile :
tweetfilter_init@https://www.wikidata.org/wiki/Q980041:959:38
@https://www.wikidata.org/wiki/Q980041:971:3
Q980041:966

I spend a lot of time digging into this with not much success, unfortunately. There are a lot of smaller problems (like the event not being well defined and obviously firing way to early) and a big one: The AuthorityControl gadget assumes that all widgets are initialized. But that's exactly what we removed recently when working on bug 54098. I'm afraid the gadget must be completely rewritten from scratch.

@Ayack: You have a lot of user scripts in your common.js (which is fine). I think most (if not all) the messages you see are coming from these and are not connected to this report.

It is fixed now except for some issues in Firefox. Those are handled in bug 65340.

Doesn't work for me on Chrome... is it supposed to be deployed or do I have to wait?

On the console there is this warning (I don't know if related):
event.returnValue is deprecated. Please use the standard event.preventDefault() instead.

It is live. Can you purge the page?

I tried purging and reloading several times on q76, with no result, this is the error I get now:

Exception thrown by ext.gadget.CommonsMedia load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2Cl…:145
TypeError: undefined is not a function
TypeError {stack: (...), message: "undefined is not a function"}
load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2Cl…:145
event.returnValue is deprecated. Please use the standard event.preventDefault() instead. load.php?debug=false&lang=en&modules=jquery%2Cmediawiki%2CSpinner%7Cjquery.triggerQueueCallback%2Cl…:48

Can reproduce on [[d:Q76]].

(In reply to dacuetu from comment #7)

Exception thrown by ext.gadget.CommonsMedia

Sorry for that. That was a mistake and is fixed.

Here is a simple proof that all default gadgets are fixed now:
https://www.wikidata.org/wiki/Q76?debug=1
So the remaining issue can not be in the gadgets. See bug 65340.

Ayack added a comment.May 19 2014, 5:53 PM

It's not fully fixed: there is still no link for P625 (coordinate location).

See: https://www.wikidata.org/wiki/Q914189?debug=1

aude added a comment.May 19 2014, 7:40 PM

replied on the gadget talk page, with a suggested fix for coordinates.

https://www.wikidata.org/wiki/MediaWiki_talk:Gadget-AuthorityControl.js#Broken_gadget